Serializer.h File Reference
`#include <string>`
`#include <vector>`
`#include <fstream>`
`#include <rcsb/rcsb_types.h>`
`#include <rcsb/BlockIO.h>`
Include dependency graph for Serializer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Serializer

## Enumerations

enum | eFileMode { NO_MODE = 0, READ_MODE, CREATE_MODE, UPDATE_MODE, VIRTUAL_MODE }

## Variables

const int | NO_TYPE = 0
const unsigned int | STRINGS_TYPE = 1
const unsigned int | STRING_TYPE = 2
const int | INT_TYPE = 3
const int | LONG_TYPE = 4
const int | FLOAT_TYPE = 5
const int | DOUBLE_TYPE = 6
const unsigned int | WORD_TYPE = 7
const unsigned int | WORDS_TYPE = 8
const unsigned int | UWORD_TYPE = 9
const unsigned int | UWORDS_TYPE = 10
const int | INDEX_INCREMENT = 1024

## Enumeration Type Documentation

enum eFileMode

Enumerator
NO_MODE |
READ_MODE |
CREATE_MODE |
UPDATE_MODE |
VIRTUAL_MODE |

## Variable Documentation

const int DOUBLE_TYPE = 6

const int FLOAT_TYPE = 5

const int INDEX_INCREMENT = 1024

const int INT_TYPE = 3

const int LONG_TYPE = 4

const int NO_TYPE = 0

const unsigned int STRING_TYPE = 2

const unsigned int STRINGS_TYPE = 1

const unsigned int UWORD_TYPE = 9

const unsigned int UWORDS_TYPE = 10

const unsigned int WORD_TYPE = 7

const unsigned int WORDS_TYPE = 8